Sub Main

' The following variables must have been assigned In the PC-DMIS partprogram:
' Type
' ST1
' ST2
' ST3
' ST4
' WO

' Setup the Dialog
Begin Dialog DIALOG_1 53,9, 211, 307, "Enter Information", .enable
  OptionGroup .GROUP_1
    OptionButton 16,80,80,12, "CAST"
    OptionButton 16,96,80,12, "CORE"
    OptionButton 16,112,84,12, "PATTERN"
  GroupBox 4,4,200,280, " "
  TextBox 80,156,62,12, .EditBox_1
  TextBox 80,176,62,12, .EditBox_2
  TextBox 80,196,62,12, .EditBox_3
  TextBox 80,216,62,12, .EditBox_4
  TextBox 80,236,62,12, .EditBox_5
  Text 16,140,80,12, "Enter All Information:"
  Text 16,64,72,12, "INSPECTION TYPE:"
  Text 16,156,60,12, "CUSTOMER:"
  Text 16,176,60,12, "REV NUMBER:"
  Text 16,196,60,12, "INSPECTED BY:"
  Text 16,216,60,12, "CAST DATE:"
  Text 16,236,60,12, "FOUNDRY:"
  Text 60,20,86,12, "Enter Work-Log Number:"
  TextBox 64,36,72,12, .EditBox_6
  
  OKButton 16,270,48,16
  CancelButton 140,270,48,16
End Dialog

Dim Dlg1 As DIALOG_1
button = Dialog(Dlg1) 

Dim sel_text As String 
Dim Cust As String 
Dim REV As String 
Dim Insp As String 
Dim Castd As String 
Dim WORKORDER As String
Dim FOUNDRY As String

If button = 0 Then
    sel_text = "END"
Else
Select Case Dlg1.GROUP_1 
        Case 0 
            sel_text = "CAST"
        Case 1 
            sel_text = "CORE"
        Case 2 
            sel_text = "PATTERN"
    End Select

Cust = Dlg1.EditBox_1
Rev = Dlg1.EditBox_2
Insp = Dlg1.EditBox_3
Castd = Dlg1.EditBox_4
Foundry = Dlg1.EditBox_5
WORKORDER = Dlg1.EditBox_6

End If
' Dialog setup End

'Setup PC-DMIS Connection
Dim App As Object
Set App = CreateObject("PCDLRN.Application")

Dim Part As Object
Set Part = App.ActivePartProgram

Dim Cmds As Object
Dim Cmd As Object

Set Cmds = Part.Commands

For Each Cmd In Cmds
    If Cmd.Type = ASSIGNMENT Then
        If Cmd.GetText(DEST_EXPR, 0) = "TYPE" Then
          bln = Cmd.PutText("""" + sel_text + """", SRC_EXPR, 0)
          Cmd.ReDraw
        End If
        If Cmd.GetText(DEST_EXPR,0) = "Cust" Then
          bln = Cmd.PutText("""" + Cust + """", SRC_EXPR, 0)
          Cmd.ReDraw
        End If
        If Cmd.GetText(DEST_EXPR,0) = "Rev" Then
          bln = Cmd.PutText("""" + Rev + """", SRC_EXPR, 0)
          Cmd.ReDraw
        End If
        If Cmd.GetText(DEST_EXPR,0) = "Insp" Then
          bln = Cmd.PutText("""" + Insp + """", SRC_EXPR, 0)
          Cmd.ReDraw
        End If
        If Cmd.GetText(DEST_EXPR,0) = "Castd" Then
          bln = Cmd.PutText("""" + Castd + """", SRC_EXPR, 0)
          Cmd.ReDraw
        End If
        If Cmd.GetText(DEST_EXPR,0) = "WO" Then
          bln = Cmd.PutText("""" + WORKORDER + """", SRC_EXPR, 0)
          Cmd.ReDraw
        End If
        If Cmd.GetText(DEST_EXPR,0) = "Foundry" Then
          bln = Cmd.PutText("""" + FOUNDRY + """", SRC_EXPR, 0)
          Cmd.ReDraw
        End If

       

    End If
Next Cmd

End Sub